# Batch Connect app configuration file
#
# @note Used to define the submitted cluster, title, description, and
#   hard-coded/user-defined attributes that make up this Batch Connect app.
---

# **MUST** set cluster id here that matches cluster configuration file located
# under /etc/ood/config/clusters.d/*.yml
# @example Use the Owens cluster at Ohio Supercomputer Center
#     cluster: "owens"
cluster: ""

# Description of the app displayed in the Dashboard (can use multi-line string
# and Markdown syntax)
description: |
  This app will launch a Jupyter Notebook server on one or more nodes.

# Define attribute values that aren't meant to be modified by the user within
# the Dashboard form
attributes:
  # Set the corresponding modules that need to be loaded for Jupyter to run
  #
  # @note It is called within the batch job as `module load <modules>` if
  #   defined
  # @example Do not load any modules
  #     modules: ""
  # @example Using default python module
  #     modules: "python"
  # @example Using specific python module
  #     modules: "python/3.5"
  # @example Using combination of modules
  #     modules: "python/3.5 cuda/8.0.44"
  modules: "python"

  # Whether Conda extensions will be available within the Jupyter notebook
  # server
  #
  # @note Allows the user to use conda environment-based kernels from their
  #   Jupyter notebook dashboard
  # @example Do NOT allow Conda extensions to be used
  #   conda_extensions: "0"
  # @example Do allow Conda extensions to be used
  #   conda_extensions: "1"
  # @see https://docs.continuum.io/anaconda/user-guide/tasks/use-jupyter-notebook-extensions
  conda_extensions: "1"

  # Any extra command line arguments to feed to the `jupyter notebook ...`
  # command that launches the Jupyter notebook within the batch job
  extra_jupyter_args: ""

# All of the attributes that make up the Dashboard form (in respective order),
# and made available to the submit configuration file and the template ERB
# files
#
# @note You typically do not need to modify this unless you want to add a new
#   configurable value
# @note If an attribute listed below is hard-coded above in the `attributes`
#   option, then it will not appear in the form page that the user sees in the
#   Dashboard
form:
  - modules
  - conda_extensions
  - extra_jupyter_args
  - bc_num_hours
  - bc_num_slots
  - bc_account
  - bc_queue
  - bc_email_on_started
